메인 콘텐츠로 건너뛰기

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

POST /auth/register

신규 사용자 계정을 만듭니다. 공개 엔드포인트이며 인증이 필요하지 않습니다. 등록이 성공하면 사용자에게 검증 메일을 보냅니다.

요청 본문

email
string
필수
사용자 이메일 주소입니다. 유효해야 하며 시스템 내에서 고유해야 합니다.
password
string
필수
사용자 비밀번호입니다. 최소 8자이며 비밀번호 강도 요구사항을 충족해야 합니다.
firstName
string
필수
사용자 이름(이름)입니다. 최대 50자입니다.
lastName
string
사용자 성입니다. 최대 50자입니다.
company
string
회사명입니다. 최대 100자입니다.

응답

success
boolean
등록 성공 여부입니다.
message
string
사람이 읽을 수 있는 상태 메시지입니다.
user
object
새로 생성된 사용자 정보를 담는 객체입니다.
tokens
object
인증 토큰을 담는 객체입니다.
curl -X POST https://api.llmgenerator.com/api/v1/auth/register \
  -H "Content-Type: application/json" \
  -d '{
        "email": "user@example.com",
        "password": "securePassword123!",
        "firstName": "John",
        "lastName": "Doe",
        "company": "Acme Inc"
      }'
{
  "success": true,
  "message": "Account created successfully",
  "user": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "email": "user@example.com",
    "name": "John Doe",
    "emailVerified": false,
    "createdAt": "2026-01-29T12:00:00.000Z"
  },
  "tokens": {
    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "expiresIn": 900,
    "tokenType": "Bearer"
  }
}